High-Level Data Reduction Library: hdrl_classify

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Functions
hdrl_classify
Catalogue

Do star/galaxy classification. More...

Collaboration diagram for hdrl_classify:

## Functions
cpl_error_code | hdrl_classify (hdrl_casu_tfits *catalogue, double minsize)
| Do star/galaxy classification.

## Detailed Description

Do star/galaxy classification.

## Function Documentation

## ◆ hdrl_classify()

cpl_error_code hdrl_classify | ( | hdrl_casu_tfits * | catalogue,
|  | double | minsize
| ) |  |

Do star/galaxy classification.

Parameters

  catalogue | The input catalogue
  minsize | The minimum size in pixels of objects to be used in the analysis

Returns
  CPL_ERROR_CODE if everything is OK, the concrete error in other case

Description: The information in an catalogue is scanned and each object is classified based on a number of shape criteria.

Note
  QC headers: The following QC parameters are read from the catalogue extension.
  - MEAN_SKY: The mean sky found by catalogue.
  - SKY_NOISE: The sky noise found by catalogue. The following QC parameters are written to the catalogue extension.
  - IMAGE_SIZE: The average FWHM of stellar objects in the catalogue
  - ELLIPTICITY: The average stellar ellipticity.
  - POSANG: The average position angle on the image.
  - APERTURE_CORR: The aperture correction for an aperture with a radius of Rcore.
  - NOISE_OBJ: The number of noise objects detected on the image
  DRS headers: The following DRS parameters are read from the catalogue extension.
  - THRESHOL: The detection threshold used by catalogue
  - RCORE: The core radius used by catalogue
  - SEEING: The averaged seeing found by catalogue
  - NXOUT: The number of pixels in a row of the original image
  - NYOUT: The number of pixels in a column of the original image The following DRS parameters are written to the catalogue extension
  - CLASSIFD: Set if the catalogue has been classified